package com.gic.haoban.manage.web.qo;

import java.io.Serializable;

/**
 * Created 2021/4/13.
 *
 * @author hua
 */
public class WxEnterpriseBindQo implements Serializable {
    private String wxEnterpriseRelatedId;
    private String wxEnterpriseId;
    private String enterpriseId;
    private String version;
    private int rangeType = 1;
    private String relations;
    /**
     * 0 自动开卡同一开平 1加好友不开卡
     */
    private int memberOpenCardFlag;
    /**
     * 企业微信类型 0 总部 1代理
     */
    private int wxEnterpriseType;

    public String getWxEnterpriseRelatedId() {
        return wxEnterpriseRelatedId;
    }

    public void setWxEnterpriseRelatedId(String wxEnterpriseRelatedId) {
        this.wxEnterpriseRelatedId = wxEnterpriseRelatedId;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public int getRangeType() {
        return rangeType;
    }

    public void setRangeType(int rangeType) {
        this.rangeType = rangeType;
    }

    public String getRelations() {
        return relations;
    }

    public void setRelations(String relations) {
        this.relations = relations;
    }

    public int getMemberOpenCardFlag() {
        return memberOpenCardFlag;
    }

    public void setMemberOpenCardFlag(int memberOpenCardFlag) {
        this.memberOpenCardFlag = memberOpenCardFlag;
    }

    public int getWxEnterpriseType() {
        return wxEnterpriseType;
    }

    public void setWxEnterpriseType(int wxEnterpriseType) {
        this.wxEnterpriseType = wxEnterpriseType;
    }
}
